STRUCT HRTIMER_BASE(9)

NAME
struct hrtimer_base - the timer base for a specific clock

SYNOPSIS
struct hrtimer_base {
  clockid_t index;
  spinlock_t lock;
  struct rb_root active;
  struct rb_node * first;
  ktime_t resolution;
  ktime_t (* get_time) (void);
  struct hrtimer * curr_timer;
};

MEMBERS

index
    clock type index for per_cpu support when moving a timer to a base on another cpu.

lock
    lock protecting the base and associated timers

active
    red black tree root node for the active timers

first
    pointer to the timer node which expires first

resolution
    the resolution of the clock, in nanoseconds

get_time
    function to retrieve the current time of the clock

curr_timer
    the timer which is executing a callback right now

DESCRIPTION